Page MenuHomePhabricator

Remove code for the old non-TUX UI
Closed, ResolvedPublic

Description

There is quite a lot of old unsupported code bitrotting that I would like to remove.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2016, 6:59 AM
Base awarded a token.Sep 23 2017, 11:59 PM
Base added a subscriber: Base.Sep 24 2017, 12:02 AM

While with adding the edit summary field to TUX it became bearable to translate there, I only know how to proofread translations in tux=0. Disabling it would disable possibility to review translations for me.

What prevents you from proofreading in TUX? It is documented here: https://www.mediawiki.org/wiki/Help:Extension:Translate/Quality_assurance

Change 372434 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Remove almost all legacy non-TUX code

https://gerrit.wikimedia.org/r/372434

Nikerabbit moved this task from Backlog to In Review on the Language-2017-Oct-Dec board.
Nikerabbit claimed this task.
Base added a comment.Nov 27 2017, 4:41 PM

How do I navigate to messages I see in Translation memory in TUX? In tux=0 I could click the bullets.

For general support questions ("How can I do X?") not directly related to a task, https://www.mediawiki.org/wiki/Extension_talk:Translate is the best place. Thanks.

Base added a comment.EditedNov 27 2017, 5:26 PM

@Aklapper, no, I see this as a blocker, because it is a function which was present in the interface being deleted and not present in the new one. It seems logical to have it solved first. It is not a general inquiry.

You can use the Special:SearchTranslations, going directly to the messages is not implemented in TUX: T47686: [TUX] Implement used X times

Change 372434 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove almost all legacy non-TUX code

https://gerrit.wikimedia.org/r/372434

Nikerabbit removed a project: Patch-For-Review.

I will close this next Monday if any errors don't surface as the MediaWiki train runs this week.

I have got one report by email about translator signup not working. Will investigate before closing.

Base added a comment.Dec 4 2017, 8:24 AM

@Nikerabbit, direct going was working accross projects, i.e. I could follow a memory on Meta to fix its source at Incubatorwiki. Does the special page provide this functionality? It is a serious limitation if it doesn't.
I see normal algorithm as provide additional interface, provide all the old one's features there, make it default, provide new features there, disable old. I do not see why it was so hard to follow, stem 2 was skipped almost completely, the thing I mentioned is just a random one of many things yet not implemented, the making default step was damn too early, and now you are already diaabling the old one completely. This makes translation administration harder, not easier. E.g. Just a couple of days ago I had to suffer from how difficult it is to split a translation unit in tux with the unit containing the old text always folding while another one is active (even though the selection is kept)

Nikerabbit closed this task as Resolved.Dec 4 2017, 11:18 AM
Nikerabbit moved this task from QA to Done on the Language-2017-Oct-Dec board.

I have got one report by email about translator signup not working. Will investigate before closing.

The reported issue is not related to this task. See https://gerrit.wikimedia.org/r/#/c/394960/

@Nikerabbit, direct going was working accross projects, i.e. I could follow a memory on Meta to fix its source at Incubatorwiki. Does the special page provide this functionality? It is a serious limitation if it doesn't.

Yes it does work across projects, which you can easily test yourself for example by visiting https://meta.wikimedia.org/w/index.php?title=Special%3ASearchTranslations&query=Wikipedia

I see normal algorithm as provide additional interface, provide all the old one's features there, make it default, provide new features there, disable old. I do not see why it was so hard to follow, stem 2 was skipped almost completely, the thing I mentioned is just a random one of many things yet not implemented, the making default step was damn too early, and now you are already diaabling the old one completely. This makes translation administration harder, not easier. E.g. Just a couple of days ago I had to suffer from how difficult it is to split a translation unit in tux with the unit containing the old text always folding while another one is active (even though the selection is kept)

This part is almost incomprehensible to me. I'll reply to two things that I think I understood from it:
The default was switched too early – Yes, not all features were available on the TUX interface. However, the TUX interface was superior in many ways for the main use cases we had in mind, so there was a good reason to do the switch.
The old interface is being removed too early – The old interface has been rotting and practically inaccessible for all users except those who know the trick to get it to show. The old interface consisted of a lot of code, and it is not free to maintain that code. The new interface has been the default for over four years during which it has been maintained and improved further to accommodate different use cases. I think that is more than enough for people to adapt to the new workflows and report issues.

Base added a comment.EditedDec 4 2017, 6:28 PM

The users were raped into using the new workflow. The reason few users knew how to use the old interface bacause the way is the obscure get request instead of proper preferences setting or better still in-interface switch.

@Base: Please consider removing your comment and in the future, follow the Phabricator etiquette and change your tone if you'd like to continue being active on Wikimedia Phabricator. Thanks.

Base added a comment.Dec 5 2017, 9:25 AM

Could you link to the community process by which the etiquette was approved as the policy?

@Base: Feel free to ask general Etiquette stuff on https://www.mediawiki.org/wiki/Talk:Bug_management/Phabricator_etiquette where it's ontopic.

Base added a comment.Dec 5 2017, 10:40 AM

It was no more off-topic than your uncalled and unwanted warning. I feel being harrassed by you.

I read your answer as "There was no such process".

As to my language in that comment, it is very adequate to this task, as the task tears from me the tool with which I have made at least a third, possibly more, of my contributions to Wikimedia projects (directly and through TWN). I happen to be a human-being and I am going to react as a human being. It is also non-personal and well-reflecting the situation. I am not going to sugarcoat anything.

@Base: The language you used was neither appropriate nor 'adequate'. Expressing disagreement or criticism in a respectful language and constructive way is very welcome, and unrelated to 'sugarcoating'. For harassment related topics, please see mw:Code of Conduct. Thanks.